Loading...
Searching...
No Matches
netbios_answer Struct Reference

## Data Fields

u8_t | name_size
u8_t | query_name [(16 *2)+1]
u8_t | number_of_names
u8_t | answer_name [16]
u16_t | answer_name_flags
u8_t | unit_id [6]
u8_t | jumpers
u8_t | test_result
u16_t | version_number
u16_t | period_of_statistics
u16_t | number_of_crcs
u16_t | number_of_alignment_errors
u16_t | number_of_collisions
u16_t | number_of_send_aborts
u32_t | number_of_good_sends
u32_t | number_of_good_receives
u16_t | number_of_retransmits
u16_t | number_of_no_resource_condition
u16_t | number_of_free_command_blocks
u16_t | total_number_of_command_blocks
u16_t | max_total_number_of_command_blocks
u16_t | number_of_pending_sessions
u16_t | max_number_of_pending_sessions
u16_t | max_total_sessions_possible
u16_t | session_data_packet_size

## Detailed Description

The NBNS Structure Responds to a Name Query

## Field Documentation

## answer_name

u8_t netbios_answer::answer_name[16]

node name

## answer_name_flags

u16_t netbios_answer::answer_name_flags

node flags

## jumpers

u8_t netbios_answer::jumpers

Jumpers

## max_number_of_pending_sessions

u16_t netbios_answer::max_number_of_pending_sessions

Statistics

## max_total_number_of_command_blocks

u16_t netbios_answer::max_total_number_of_command_blocks

Statistics

## max_total_sessions_possible

u16_t netbios_answer::max_total_sessions_possible

Statistics

## name_size

u8_t netbios_answer::name_size

the length of the next string

## number_of_alignment_errors

u16_t netbios_answer::number_of_alignment_errors

Statistics

## number_of_collisions

u16_t netbios_answer::number_of_collisions

Statistics

## number_of_crcs

u16_t netbios_answer::number_of_crcs

Statistics

## number_of_free_command_blocks

u16_t netbios_answer::number_of_free_command_blocks

Statistics

## number_of_good_receives

u32_t netbios_answer::number_of_good_receives

Statistics

## number_of_good_sends

u32_t netbios_answer::number_of_good_sends

Statistics

## number_of_names

u8_t netbios_answer::number_of_names

number of names

## number_of_no_resource_condition

u16_t netbios_answer::number_of_no_resource_condition

Statistics

## number_of_pending_sessions

u16_t netbios_answer::number_of_pending_sessions

Statistics

## number_of_retransmits

u16_t netbios_answer::number_of_retransmits

Statistics

## number_of_send_aborts

u16_t netbios_answer::number_of_send_aborts

Statistics

## period_of_statistics

u16_t netbios_answer::period_of_statistics

Period of statistics

## query_name

u8_t netbios_answer::query_name[(16 *2)+1]

WARNING!!! this item may be of a different length (we use this struct for transmission)

## session_data_packet_size

u16_t netbios_answer::session_data_packet_size

Statistics

## test_result

u8_t netbios_answer::test_result

Test result

## total_number_of_command_blocks

u16_t netbios_answer::total_number_of_command_blocks

Statistics

## unit_id

u8_t netbios_answer::unit_id[6]

Unit ID

## version_number

u16_t netbios_answer::version_number

Version number

The documentation for this struct was generated from the following file:

- src/apps/netbiosns/netbiosns.c